#!/bin/bash
# Wordpress install script
# Written by Joshua Mudge
# Ad Mejorem Dei Glorium
version="v1.0.4"

curl -s "https://gitlab.daplie.com/sysadmin/daplie-snippets/raw/master/dss/setup.sh" | bash

dss --user $USER init

#sudo apt-key adv --recv-keys --keyserver hkp://keyserver.ubuntu.com:80 0xF1656F24C74CD1D8

sudo apt-get install nginx unzip php7.0-fpm php-xml php-xmlrpc software-properties-common php7.0-mysql mysql-server zip -y
wget https://wordpress.org/latest.zip
sudo mkdir /var/www/wordpress
unzip latest.zip
sudo mv wordpress/* /var/www/website/

sudo add-apt-repository -y ppa:certbot/certbot
sudo apt-get update
sudo apt-get install -y python-certbot-nginx
# user input required
echo "run: sudo certbot --authenticator webroot --installer nginx  after configuring default_server and root directory"

#echo "run: sudo certbot certonly --webroot --webroot-path=/var/www/wordpress -d www.youdomain.com -d yourdomain.com"
echo "Update Nginx configuration in /etc/nginx/sites-enabled/ with using example configuration."
# Change Table prefix if multiple sites.
# For uploading: sudo chown -R www-data:www-data /var/www/dir
#mysql -u root mysql -p CREATE DATABASE ideside; CREATE USER 'ideuser'@'localhost' IDENTIFIED BY 'yourpassword'; GRANT ALL PRIVILEGES ON ideside.* TO 'ideuser'@'localhost'; FLUSH PRIVILEGES;

# mysql -u root mysql -p
#CREATE DATABASE wordpress;
#CREATE USER 'wordpress'@'localhost' IDENTIFIED BY 'newpassword';
#GRANT ALL PRIVILEGES ON wordpress.* TO 'wordpress'@'localhost';
#FLUSH PRIVILEGES;


#https://askubuntu.com/questions/705458/ubuntu-15-10-mysql-error-1524-unix-socket

#https://www.digitalocean.com/community/tutorials/how-to-install-linux-apache-mysql-php-lamp-stack-on-ubuntu-16-04
